##
## Copyright (c) 2016-2019 Genomics England Ltd.
##
## This file is part of PanelApp
## (see https://panelapp.genomicsengland.co.uk).
##
## Licensed to the Apache Software Foundation (ASF) under one
## or more contributor license agreements.  See the NOTICE file
## distributed with this work for additional information
## regarding copyright ownership.  The ASF licenses this file
## to you under the Apache License, Version 2.0 (the
## "License"); you may not use this file except in compliance
## with the License.  You may obtain a copy of the License at
##
##   http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing,
## software distributed under the License is distributed on an
## "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
## KIND, either express or implied.  See the License for the
## specific language governing permissions and limitations
## under the License.
##
# Generated by Django 2.0.8 on 2018-09-04 12:46

from django.db import migrations

default_panel_types = {
    "rare-disease-test-directory": "Rare Disease Test Directory",
    "actionable": "Actionable",
    "rare-disease-100k": "Rare Disease 100K",
    "superpanel": "Superpanel",
    "testing": "testing",
    "reference": "Reference",
    "clingen-curated-genes": "ClinGen Curated genes",
    "ga4gh-collaboration": "GA4GH collaboration",
    "external-diagnostic-lab": "External Diagnostic Lab",
    "cancer-test-directory": "Cancer Test Directory",
    "cancer-germline-100k": "Cancer Germline 100K",
}


def create_default_panel_types(apps, schema_editor):
    PanelType = apps.get_model("panels", "PanelType")
    current_types = list(PanelType.objects.values_list("slug", flat=True))
    for slug, name in default_panel_types.items():
        if slug not in current_types:
            PanelType.objects.create(name=name, slug=slug, description=name)


def do_nothing(apps, schema_editor):
    pass  # do nothing


class Migration(migrations.Migration):

    dependencies = [("panels", "0066_auto_20180821_0849")]

    operations = [migrations.RunPython(create_default_panel_types, do_nothing)]
